package it.cavallium;

import java.time.Duration;
import java.util.Set;

public interface SettingsService {
	void setDelayBetweenAdds(Duration duration);

	Duration getDelayBetweenAdds();

	void addPhoneNumber(Long phoneNumber);

	void removePhoneNumber(Long phoneNumber);

	void clearPhoneNumbers();

	Set<Long> getPhoneNumbers();

	String getProxyIp();

	void setProxyIp(String value);

	Integer getProxyPort();

	void setProxyPort(int value);

	String getProxySecret();

	void setProxySecret(String value);
}
